package com.cardiff.client_project.service;

import com.cardiff.client_project.pojo.entity.Device;
import com.cardiff.client_project.utils.Result;

import java.util.List;

public interface DeviceService {

    /**
     * @param device
     * @return
     */
    Result insertDevice(Device device);

    /**
     * delete information by id
     * @param ids
     * @return
     */
    Result deleteById(List<Integer> ids, String type);

    /**
     * Query device information
     * @return
     */
    Result selectAllDevice(int hospitalId);

    /**
     * Update data
     * @param device
     * @return
     */
    Result update(Device device);

    /**
     * fuzzy query
     * @param device
     * @return
     */
    Result selectByItem(Device device);
}
