package com.cardiff.client_project.service;

import com.cardiff.client_project.pojo.dto.HospitalDTO;
import com.cardiff.client_project.utils.Result;
import java.util.List;

public interface NursingHomeService {
    Result<List<HospitalDTO>> getAvailableBeds();
    Result<HospitalDTO> insertPatientInfo(HospitalDTO hospitalDTO);
    Result<String> updatePatient(HospitalDTO hospitalDTO);
    Result<String> deletePatientById(List<Integer> ids);
    Result<List<HospitalDTO>> getAllPatients();
    Result<String> updateBedCount(int hospitalId, int currentPatients);
    Result<List<HospitalDTO>> searchHospitals(String name);
    Result<String> updateApprovalStatus(Integer hospitalId, String status);
    Result<List<HospitalDTO>> getPendingApprovals();
}